Bug 1194604 - Can't initiate two iSCSI connections via bridges on boot.
Summary: Can't initiate two iSCSI connections via bridges on boot.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dracut
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Lukáš Nykrýn
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords:
: 1380357 (view as bug list)
Depends On:
Blocks: 1203710 1205796 1289485 1313485 1304407
TreeView+ depends on / blocked
 
Reported: 2015-02-20 10:52 UTC by riddimshocker
Modified: 2016-11-04 07:57 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-04 07:57:20 UTC


Attachments (Terms of Use)
Log generated after using rd.debug (323.27 KB, text/plain)
2015-02-24 13:41 UTC, riddimshocker
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2530 normal SHIPPED_LIVE dracut bug fix and enhancement update 2016-11-03 14:17:01 UTC
Red Hat Knowledge Base (Solution) 1364103 None None None Never

Description riddimshocker 2015-02-20 10:52:21 UTC
Description of problem:
Can't initiate two bridge adapters on boot.


How reproducible:
100%


Steps to Reproduce:

I use diskless boot via iSCSI and multipath. Dracut takes params from grub2: 

iscsi_initiator=iqn.2001-01.local.domain:node1 netroot=iscsi:@10.0.0.2::3260::iqn.2001-01.local.domain:iscsitest.lv_node1 netroot=iscsi:@192.92.92.108::3260::iqn.2001-01.local.domain:iscsitest.lv_node1 ifname=enp2s0:10:fe:ed:03:aa:51 ifname=enp4s0:f4:6d:04:e6:78:80 ip=enp2s0:dhcp ip=enp4s0:dhcp

Both adapters acquire their addresses, then make connection to iSCSI target by two distinct IP, mutlipath makes a dev.

Now I'm trying to make bridges on this adapters, for VMs. Used dracut params:

iscsi_initiator=iqn.2001-01.local.domain:node1 netroot=iscsi:@10.0.0.2::3260::iqn.2001-01.local.domain:iscsitest.lv_node1 netroot=iscsi:@192.92.92.108::3260::iqn.2001-01.local.domain:iscsitest.lv_node1 ifname=enp2s0:10:fe:ed:03:aa:51 ifname=enp4s0:f4:6d:04:e6:78:80 bridge=br0:enp2s0 bridge=br1:enp4s0 ip=br0:dhcp ip=br1:dhcp

But only one bridge activates (enp2s0 at my case, first one in alphabetical order), then iSCSI connection crashes, because second adapter is inactive and cannot reach required network.

Why can't I have two bridges on boot?

Comment 1 Harald Hoyer 2015-02-20 12:40:20 UTC
Can you boot with "rd.debug" on the kernel command line and attach /run/initramfs/rdsosreport.txt ??

Also why "Version: 7.3" ?

Which version of dracut? Which version of RHEL?

Comment 3 riddimshocker 2015-02-24 13:26:40 UTC
Message about alphabetical order was incorrect, the only starting bridge is the last one in kernel params, in case of this:

bridge=br1:enp2s0 ip=br1:dhcp bridge=br0:enp4s0 ip=br0:dhcp

only br0 starts succesfully. Adding "bootdev=br1" doesn't fix it.

There's no rdsosreport.txt after adding "rd.debug", but "messages" got additional info.

According to logs, br1 (first one in kernel commandline) doesn't initiate at all.

dracut Version: 033-161.el7_0.173

/etc/redhat-release
CentOS Linux release 7.0.1406 (Core)

Comment 4 riddimshocker 2015-02-24 13:41:42 UTC
Created attachment 994707 [details]
Log generated after using rd.debug

Log generated after using rd.debug

Comment 5 Harald Hoyer 2015-03-03 15:06:04 UTC
yes, sorry, dracut currently only supports one bridge and one bond interface.

Comment 6 Pushpendra Chavan 2015-03-13 03:48:56 UTC
I think I am facing the same problem as well. Re-adjusting the bugzilla parameters wherever required.

- Pushpendra

Comment 14 Karl Hastings 2016-10-28 13:13:08 UTC
*** Bug 1380357 has been marked as a duplicate of this bug. ***

Comment 16 errata-xmlrpc 2016-11-04 07:57:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2530.html


Note You need to log in before you can comment on or make changes to this bug.